package uoc.com.mimenudehoy.dao;

import java.util.List;

import uoc.com.mimenudehoy.model.User;

public interface UserDao {

	public User findByUserName(String username);
	
	public void deleteUser(String username);
	public void deleteUser(Long id);
	
	public List<User> listUsers();
	
	public void saveUser(User user);
	
	public User getUser(Long id);
}
