package uoc.com.mimenudehoy.dao.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Repository;

import uoc.com.mimenudehoy.dao.IngredientDao;
import uoc.com.mimenudehoy.model.Ingredient;

@Repository
public class IngredientDaoImpl extends GenericDaoImpl<Ingredient> implements IngredientDao {

	public List<Ingredient> findByName(String name) {

		List<Ingredient> users = new ArrayList<Ingredient>();

		users = getSession().createQuery("from Ingredient where name like :nombre ")
			.setParameter("nombre", "%"+name+"%")
			.list();

		return users;
	}

}
