package uoc.com.mimenudehoy.dao.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Repository;

import uoc.com.mimenudehoy.dao.MenuDao;
import uoc.com.mimenudehoy.model.EnumMenuType;
import uoc.com.mimenudehoy.model.Menu;

@Repository
public class MenuDaoImpl extends GenericDaoImpl<Menu> implements MenuDao {	
	
	
	public List<Menu> findByName(String name) {

		List<Menu> elems = new ArrayList<Menu>();

		elems = getSession().createQuery("from Menu where name like '%?%' ")
			.setParameter(0, name)
			.list();

		return elems;
	}

	public List<Menu> findByType(EnumMenuType type) {
		List<Menu> elems = new ArrayList<Menu>();
		elems = getSession().createQuery("from Menu where type = ? ")
			.setParameter(0, type)
			.list();

		return elems;

	}

}
