package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.Map;

import uoc.com.mimenudehoy.model.EnumDishType;

public class EnumDishTypePropertyEditor extends PropertyEditorSupport {

    private Map<String, EnumDishType> map = new HashMap<String, EnumDishType>();

	public EnumDishTypePropertyEditor() {		
		for (EnumDishType r : EnumDishType.values()) {
        	map.put(String.valueOf(r.getValue()), r);
        }
    }
    

    public void setAsText(String text) {
    	EnumDishType role = map.get(text);
        setValue(role);
    }

    public String getAsText() {
    	EnumDishType u = (EnumDishType) this.getValue();
        if(u==null) return "";
    	return String.valueOf(u.getValue());
    }
}