package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import uoc.com.mimenudehoy.model.EnumIntoleranceType;
import uoc.com.mimenudehoy.model.EnumMenuType;
import uoc.com.mimenudehoy.model.User;

public class EnumIntolleranceTypePropertyEditor extends PropertyEditorSupport {

    private Map<String, EnumIntoleranceType> map = new HashMap<String, EnumIntoleranceType>();

    
	public EnumIntolleranceTypePropertyEditor() {
		
		for (EnumIntoleranceType r : EnumIntoleranceType.values()) {
        	map.put(String.valueOf(r.getValue()), r);
        }
    }
    

    public void setAsText(String incomingId) {
    	EnumIntoleranceType role = map.get(incomingId);
        setValue(role);
    }

    public String getAsText() {
    	EnumIntoleranceType u = (EnumIntoleranceType) this.getValue();
        if(u==null) return "";
    	return String.valueOf(u.getValue());
    }
}