package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import uoc.com.mimenudehoy.model.Ingredient;

public class IngredientPropertyEditor extends PropertyEditorSupport {

    private Map<Long, Ingredient> myMap = new HashMap<Long, Ingredient>();

    public IngredientPropertyEditor(List<Ingredient> list) {
        for (Ingredient r : list) {
        	myMap.put(r.getId(), r);
        }
    }

    public void setAsText(String id) {
        Long tmp = Long.parseLong(id);
        Ingredient obj = myMap.get(tmp);
        setValue(obj);
    }

    public String getAsText() {
    	if(this.getValue()==null) return "";
        return String.valueOf(((Ingredient)getValue()).getId());
    }
}