package uoc.com.mimenudehoy.service;

import java.util.List;

import uoc.com.mimenudehoy.model.EnumMenuType;
import uoc.com.mimenudehoy.model.Menu;
import uoc.com.mimenudehoy.model.MenuDaily;

public interface MenuService {

	public void save(Menu obj);

	public List<Menu> listMenus();
	public List<Menu> getMenus(String name);

	public void delete(String id );
	
	public Menu getMenu(String id);
	
	public List<Menu> listMenusByType(EnumMenuType type);
	
	public void saveMenuDaily(MenuDaily obj);

	
}
