package uoc.com.mimenudehoy.service;

import java.util.List;

import uoc.com.mimenudehoy.model.EnumRoleAuthority;
import uoc.com.mimenudehoy.model.Role;
import uoc.com.mimenudehoy.model.Subscription;
import uoc.com.mimenudehoy.model.User;

public interface UserService {

	public void saveUser(User user);
	public void saveClient(User user);
	
	public List<User> listUsers();
	public List<Role> listRoles();
	
	public Role getRole(EnumRoleAuthority rol);
	
	public User getUser(String username);

	public void deleteUser(String username);
	
	public User getUser(Long id);
	
	public List<Subscription> getSubscriptions(User user);
	
}
