<%@ include file="/WEB-INF/template/includes.jsp"%>

<script type="text/javascript">
<!--
	var entity = 'ingredient';
	var entityName = '<spring:message code="entity.ingredient"/>';	
	var deleteConfirm = '<spring:message code="ingredient.delete.confirm" />';
//-->
</script>

	<div style="width: 95%; margin: 0 auto;">

		<div id="myDialog" style="display: none;">
			<tiles:insertDefinition name="ingredientFormDlg" />
		</div>

		<h1>Listado de Ingredientes</h1>

		<table class="pure-table pure-table-bordered pure-table-striped">
			<thead>
				<tr>
					<th width="12%">Id</th>
					<th width="30%">Nombre</th>
					<th width="10%">Origen</th>
					<th width="10%">Intolerancia</th>
					<th width="10%">Kcal</th>
					<th width="10%">Hidratos</th>
					<th width="10%">Grasas</th>
					<th width="10%">Proteinas</th>
					<th width="10%">Agua</th>
					<th width="10%">Hierro</th>
					<th width="10%">Fibra</th>
					<th width="10%">
						<button class="pure-button pure-button-primary" onclick="cms_edit(entity,'new' );">
								<i class="fa fa-plus"></i> <spring:message code="ingredient.new"/>
						</button>
					</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${list}" var="ing" >
					<tr>
						<td><c:out value="${ing.id}" /></td>
						<td><c:out value="${ing.name}" /></td>
						<td><spring:message code="origin.${ing.origin}" /></td>
						<td><spring:message code="intolerance.${ing.intolerance}" /></td>
						<td><fmt:formatNumber value="${ing.calories}" /></td>
						<td><fmt:formatNumber value="${ing.hydrates}" /></td>
						<td><fmt:formatNumber value="${ing.fats}" /></td>
						<td><fmt:formatNumber value="${ing.protein}" /></td>
						<td><fmt:formatNumber value="${ing.water}" /></td>
						<td><fmt:formatNumber value="${ing.iron}" /></td>
						<td><fmt:formatNumber value="${ing.fiber}" /></td>						
						<td>
							<nobr>
								<button class="pure-button pure-button-primary" onclick="cms_edit('ingredient',${ing.id});">
									<i class="fa fa-pencil"></i> Editar
								</button>

								<button class="pure-button pure-button-primary" onclick="cms_delete('ingredient','${ing.id}');">
									<i class="fa fa-times"></i>Borrar
								</button>

							</nobr>
						</td>
					</tr>
				</c:forEach>
			</tbody>
		</table>

	</div>
