<%@ include file="/WEB-INF/template/includes.jsp"%>


<script type="text/javascript">
<!--
	var entity = 'recipe';
	var entityName = '<spring:message code="entity.recipe"/>';	
	var deleteConfirm = '<spring:message code="recipe.delete.confirm" />';
//-->
</script>

	<div style="width: 95%; margin: 0 auto;">

		<div id="myDialog" style="display: none;">
			<tiles:insertDefinition name="recipeFormDlg" />
		</div>

		<h1>Listado de Recetas</h1>

		<table class="pure-table pure-table-bordered pure-table-striped">
			<thead>
				<tr>
					<th width="12%">Id</th>
					<th width="12%">Fecha</th>
					<th width="12%">Nombre</th>
					<th width="12%"><spring:message code="recipe.author"/></th>
					<th width="12%">Tipo Cocina</th>
					<th width="12%">Plato</th>
					<th width="12%">
						<button class="pure-button pure-button-primary" onclick="cms_edit('recipe','new' );">
							<i class="fa fa-plus"></i> Nueva Receta
						</button>
				</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${recipes}" var="rec" varStatus="loopCounter">
					<tr>
						<td><c:out value="${rec.id}" /></td>
						<td><fmt:formatDate pattern="dd/MM/yyyy" value="${rec.date}" /></td>
						<td><c:out value="${rec.name}" /></td>
						<td><c:out value="${rec.author}" /></td>
						<td><spring:message code="cuisine.${rec.cuisine}"/> </td>
						<td><a href="${baseURL}/admin/dish/${rec.dish.id}"><c:out value="${rec.dish.name}" /></a></td>
												
						<td>
							<nobr>
								<button class="pure-button pure-button-primary" onclick="cms_edit(entity,${rec.id});">
									<i class="fa fa-pencil"></i> Editar
								</button>

								<button class="pure-button pure-button-primary" onclick="cms_delete(entity,${rec.id});"> 
									<i class="fa fa-times"></i>Borrar
								</button>

							</nobr>
						</td>
					</tr>
				</c:forEach>
			</tbody>
		</table>

	</div>
