<%@ include file="/WEB-INF/template/includes.jsp"%>

<script type="text/javascript" src="<c:url value="/res/js/tinymce/tinymce.min.js" />"></script>
<script type="text/javascript" src="<c:url value="/res/js/tinymce/jquery.tinymce.min.js" />"></script>
<script type="text/javascript">
<!--
	var entity = 'recipe';
	var entityName = '<spring:message code="entity.recipe"/>';	
	
	$(document).ready(function(){
		initializeJsPlugins(entity);
	});
	
//-->
</script>

<div id="pagina2">

<div id="contenedor">


<c:url var="actionUrl" value="/admin/recipe/save" />
<form:form id="myForm" commandName="recipe" method="post" action="${actionUrl }" class="pure-form pure-form-aligned" enctype="multipart/form-data">

<h1><spring:message code="recipe.${empty recipe.id?'new':'edit' }"/> </h1>

	<fieldset>
		<legend>Datos</legend>

		<div class="pure-control-group">

			<table width="100%">
				<tr>
					<td width="20%"><label for="username">Nombre</label></td>
					<td width="80%"><form:input name="name" path="name" placeholder="Nombre" cssStyle="width:90%;"/></td>
				</tr>
				<tr>
					<td><label for="author"><spring:message code="recipe.author"/></label></td>
					<td><form:input name="author" path="author" cssStyle="width:90%;"/></td>
				</tr>
				<tr>
					<td><label for="username">Tipo Cocina</label></td>
					<td>
						<form:select path="cuisine">
							<c:forEach var="item" items="${allCuisineTypes}">
								<form:option value="${item.value}" selected="${recipe.cuisine == item }">
									<spring:message code="cuisine.${item }"  />
								</form:option>
							</c:forEach>
						</form:select>
					</td>
				</tr>
				<tr>
					<td><label for="dish">Plato</label></td>
					<td>
						<form:select path="dish" items="${listDishes}" itemValue="id" itemLabel="name"/>
					</td>
				</tr>
			</table>
			
		</div>
	</fieldset>
	
	<fieldset>
		<legend>Preparacin</legend>
		<div class="pure-control-group">
			<form:textarea class="tinymce" id="preparation" path="preparation" />
		</div>	
	</fieldset>

	<fieldset>
		<legend>Recursos</legend>
		<div class="pure-control-group">
			<table width="100%">
			<tr>
				<td>
					<label>Imagen grande:
					<br>708x425px
					</label>
				</td>
				<td>
					<input type="file" name="fileUpload" size="50" />
				</td>
				<td>
					<c:if test="${!empty recipe.photoFileName}">
						<img src="data:image/jpeg;base64,${recipe.photoBase64}" alt="..." width="100" height="100">
						<div style="text-align:center;margin:0 auto;"></div><c:out value="${recipe.photoFileName }"/></div>
					</c:if>				
				</td>
			</tr>
			<tr>
				<td>
					<label>Imagen pequea:
					<br>60x60px
					</label>
				</td>
				<td>
					<input type="file" name="fileUpload" size="50" />
				</td>
				<td>
					<c:if test="${!empty recipe.thumbFileName}">
						<img src="data:image/jpeg;base64,${recipe.thumbBase64}" alt="small Image" width="60" height="60">
						<div style="text-align:center;margin:0 auto;"></div><c:out value="${recipe.thumbFileName }"/></div>
					</c:if>				
				</td>
			</tr>
			<tr>
				<td><label>Destacado:</label></td>
				<td>
						<form:checkbox path="highlightCentral"   /><label style="width:auto;">Central</label><br>
						<form:checkbox path="highlightLateral"   /><label style="width:auto;">Lateral</label><br>
						<form:checkbox path="highlightFooter"   /><label style="width:auto;">Footer</label><br>
				</td>
			</table>
		</div>	
	</fieldset>

	
	<center>
				<button class="pure-button pure-button-primary" onclick="cms_save(entity);">
					<i class="fa fa-save"></i> Guardar
				</button>

				<button class="pure-button pure-button-primary" onclick="return cms_cancel(entity);">
					<i class="fa fa-arrow-left"></i>Cancelar
				</button>
	</center>
		
		
		<form:input path="id" type="hidden" />
</form:form>

</div>
</div>