<%@ include file="/WEB-INF/template/includes.jsp" %>

<div>
	<c:if test="${empty recipeCentral }">
		<a href="index.html"><img src="<c:url value="/res/img/turkey.jpg"/>" alt="Image"></a>
	</c:if>
	<c:if test="${not empty recipeCentral }">
		<a href="<c:url value="/recipe/${recipeCentral.id }"/>">
			<img src="data:image/jpeg;base64,${recipeCentral.photoBase64}"  alt="${recipeCentral.name }">
		</a>
	</c:if>
</div>
<ul>
	<c:forEach items="${recipesFooter}" var="rec">
	<c:url value="/recipe/${rec.id }" var="url"/>
	<li class="current">
		<a href="${url }">
			<img src="data:image/jpeg;base64,${rec.thumbBase64}"  width="60" height="60">
		</a>
		<div>
			<h2>
				<a href="${url }"><c:out value="${rec.name }"/></a>
			</h2>
			<p>Autor:<c:out value="${rec.author }"/></p>
		</div>
	</li>
	</c:forEach>
<%-- 	
	<li><a href="blog.html"><img src="<c:url value="/res/img/fruits-and-bread.jpg"/>"	alt="Image"></a>
		<div>
			<h2>
				<a href="blog.html">Fruits &amp; Bread</a>
			</h2>
			<p>This is just a place holder</p>
		</div></li>
	<li><a href="blog.html"><img src="<c:url value="/res/img/dessert.jpg"/>"	alt="Image"></a>
		<div>
			<h2>
				<a href="blog.html">Dessert</a>
			</h2>
			<p>This is just a place holder</p>
		</div></li>
--%>
</ul>