<%@ include file="/WEB-INF/template/includes.jsp"%>


<div style="width: 100%; margin: 0 auto;padding:10px;">

<c:url value="/myProfile/save" var="actionUrl"/>
<form:form id="myForm" commandName="user" method="post" action="${actionUrl }" name="userForm">

	<fieldset>
		<legend>Acceso</legend>

		<table width="100%">
		<tr>
			<td width="20%"><label for="username"><spring:message code="user.username"/></label></td>
			<td width="30%">
				<form:input name="username" path="username" placeholder="User Name" maxlength="100" />
				<form:errors path="username" cssClass="error" />
			</td>
			<td width="20%"><label for="password"><spring:message code="user.password"/></label></td>
			<td width="30%">
				<form:input name="password" id="password" path="password" placeholder="Password" maxlength="100" />
				<form:errors path="password" cssClass="error" />
			</td>
		</tr>
<%--
		<tr>
			<td><label for="roles">Roles</label></td>
			<td colspan="3"><form:checkboxes items="${roleList}" path="roles" itemValue="id" itemLabel="authority" cssStyle="width:0;"/></td>
		</tr>
 
		<tr>
			<td><label for="roles">Activado</label></td>
			<td><form:checkbox path="enabled" /></td>
		</tr>
--%>
		</table>
	
	</fieldset>

	<fieldset>
		<legend>Datos Generales</legend>
			<table width="100%" >
			<tr>
				<td width="20%"><label for="name">Nombre</label></td>
				<td width="30%"><form:input name="name" id="name" path="name" placeholder="Nombre" maxlength="100" cssStyle="width:90%;"/></td>
				<td width="20%"><label for="lastname">Apellidos</label></td>
				<td width="30%"><form:input name="lastName" id="lastName" path="lastName" placeholder="Apellidos" maxlength="255" cssStyle="width:90%;"/></td>
			</tr>
			<tr>
				<td><label for="username">Edad</label></td>
				<td colspan="3"><form:input name="age" path="age" cssStyle="width:50px;"/></td>
			</tr>
			<tr>
				<td><label for="username">Direccin Envo</label></td>
				<td colspan="3"><form:input name="address" path="address" cssStyle="width:90%;"/></td>
			</tr>
			<tr>
				<td><label for="password">Comentarios</label></td>
				<td colspan="3"><form:textarea style="width:90%;height:100px;" name="preferences" id="preferences" path="preferences" placeholder="preferencias" /></td>
			</tr>
			</table>
	</fieldset>



	<fieldset>
		<legend>Mis Suscripciones</legend>
			<table width="100%" class="listado pure-table pure-table-bordered pure-table-striped">
			<tr>
				<td width="20%"><label for="name">Menu</label></td>
				<td width="20%"><label for="lastname">Desde</label></td>
				<td width="20%"><label for="lastname">Hasta</label></td>
			</tr>
			<c:forEach items="${subscriptions}" var="sub">
			<tr>
				<td><spring:message code="menuType.${sub.menuType}"/></td>
				<td><fmt:formatDate value="${sub.start_date }" pattern="dd/MM/yyyy" /></td>
				<td><fmt:formatDate value="${sub.end_date }" pattern="dd/MM/yyyy" /></td>
			</tr>
			</c:forEach>
<%--
			<tr>
				<td><label for="username">Edad</label></td>
				<td colspan="3"><form:input name="age" path="age" cssStyle="width:50px;"/></td>
			</tr>
			<tr>
				<td><label for="username">Direccin Envo</label></td>
				<td colspan="3"><form:input name="address" path="address" cssStyle="width:90%;"/></td>
			</tr>
			<tr>
				<td><label for="password">Comentarios</label></td>
				<td colspan="3"><form:textarea style="width:90%;height:100px;" name="preferences" id="preferences" path="preferences" placeholder="preferencias" /></td>
			</tr>
 --%>
			</table>
	</fieldset>

	<center>
				<button onclick="document.forms["userForm"].submit();">Guardar</button>
	</center>


</form:form>

</div>