<%@ include file="/WEB-INF/template/includes.jsp"%>

<div style="width: 100%; margin: 0 auto;">

	<fieldset>
		<legend>Filtrar por</legend>

		<form:form id="myForm" commandName="recipe" method="post"
			action="searchRecipe" class="pure-form pure-form-aligned">
			<table style="width: 100%">
				<tr>
					<td>Text</td>
					<td><form:input path="text" name="text" /></td>
					<td>Tipo de Cocina</td>
					<td><form:select path="cuisine">
							<form:option value="" />
							<c:forEach var="item" items="${allCuisineTypes}">
								<form:option value="${item.value}">
									<spring:message code="cuisine.${item}" />
								</form:option>
							</c:forEach>
						</form:select></td>
					<td>
						<button class="pure-button pure-button-primary"
							onclick="searchRecipe()">
							<i class="fa fa-plus"></i> Buscar Receta
						</button>
					</td>
				</tr>

			</table>

		</form:form>
	</fieldset>



		<table style="padding:0px 10px 10px 10px" cellspacing="0" >
			<thead>
				<tr>
					<th width="40%" style="text-align:left;">Nombre</th>
					<th width="20%">Fecha</th>
					<th width="20%"><spring:message code="recipe.author"/></th>
					<th width="20%"><spring:message code="entity.cuisine"/></th>
					<th width="5%"></th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${list}" var="recipe" varStatus="loopCounter">
					<tr>
						<td><a href="<c:url value="/recipe/${recipe.id}" />"><c:out value="${recipe.name}" /></a></td>
						<td style="text-align:center;"><fmt:formatDate pattern="dd/MM/yyyy" value="${recipe.date}" /></td>
						<td style="text-align:center;"><c:out value="${recipe.author}"/></td>
						<td style="text-align:center;"><spring:message code="cuisine.${recipe.cuisine}" /></td>
					</tr>
				</c:forEach>
			</tbody>
		</table>

</div>
