<%@ include file="/WEB-INF/template/includes.jsp"%>

<script type='text/javascript' src="${baseURL}/res/js/listRecipes.js"></script>

	<div id="myBody" style="width: 100%; margin: 0 auto;padding:10px;">

		
		<table width="95%" >
			<tbody>
					<tr>
						<td width="30%" class="negrita"><spring:message code="recipe.name"/></td>
						<td width="50%" ><c:out value="${recipe.name}" /></td>
						<td width="20%">
							<c:if test="${not empty recipe.thumbFileName }">
								<img src="data:image/jpeg;base64,${recipe.thumbBase64}" >
							</c:if>
						</td>
					</tr>
					<tr>
						<td class="negrita"><spring:message code="recipe.date"/></td>
						<td><fmt:formatDate value="${recipe.date}" pattern="dd/MM/yyyy"/></td>
					</tr>
					<tr>
						<td class="negrita"><spring:message code="recipe.author"/></td>
						<td ><c:out value="${recipe.author}" /></td>
					</tr>
					<tr>
						<td class="negrita"><spring:message code="recipe.cuisine"/></td>
						<td><spring:message code="cuisine.${recipe.cuisine}" /></td>
					</tr>
					<tr>
						<td class="negrita"><spring:message code="recipe.preparation"/></td>
					</tr>
					<tr>
						<td colspan="3"style="border-top:1px dotted #6c5b37;padding:5px;">
							<div id="recipeBody" style="width:95%;background:#fff;">
								<c:out value="${recipe.preparation}" escapeXml="false"/>
							</div>
						</td>
					</tr>
					<tr>
						<td colspan="3">
							<c:if test="${not empty recipe.photoFileName }">
								<img src="data:image/jpeg;base64,${recipe.photoBase64}" >
							</c:if>
						</td>
					</tr>
			</tbody>
		</table>

	</div>
