
function getWidthHeight(element){
	var width = 800;
	var height = 600;
	var tinyHeight = 100;
	
	if(element=='user'){
		width=800;
		height=500;
	} else if(element=='subscription'){
		width=750;
		height=300;
	} else if(element=='menu'){
		width=700;
		height=350;
	} else if(element=='ingredient'){
		width=800;
		height=500;
	} else if(element=='recipe'){
		width=800;
		height=700;
		tinyHeight = 350;
	}

	
	return {'width':width, 'height': height , 'tinyHeight': tinyHeight};
	
}

function cms_add(element) {
	
	
	//if(element=='recipe'){
		window.location = baseURL + '/admin/' + element + '/new';
		return false;
	//}
}

function initializeDatePicker() {
	$(".datepicker").datepicker({
		dateFormat : "dd/mm/yy",
		changeMonth : true,
		changeYear : true,
		showButtonPanel : true,
		showOn: "button",
	    buttonImage: '/mimenudehoy/res/img/calendar.png',
	    buttonImageOnly: true,
	    buttonText: "Escoge fecha"		
	}).css("width","120px");
}


function initializeJsPlugins(elem){
	
	var tmp = getWidthHeight(elem);
	
	//datepicker
	if($(".datepicker").size()>0) initializeDatePicker();
	
	//tiinymce
	if( $("textarea.tinymce").size()>0 ){
		$("textarea.tinymce").tinymce({
			height: tmp.tinyHeight, 
			theme: 'modern',
			menubar: false,
			toolbar_items_size: 'small',
			plugins: [
			          'advlist autolink lists link image charmap print preview hr anchor pagebreak',
			          'searchreplace wordcount visualblocks visualchars code fullscreen',
			          'insertdatetime media nonbreaking save table contextmenu directionality',
			          'emoticons template paste textcolor colorpicker textpattern imagetools',
			          'code'
			        ],
			        toolbar1: 'insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image',
			        toolbar2: 'print preview media | forecolor backcolor emoticons | code ',
		});
	}
	
	//select2 multiselect
	if( $(".select2").size()>0 ) {
		$(".select2").css("min-width","300px");
		$(".select2").select2();
	}

}

/*
$(document).ready(function() {

	alert(entity);

	initializeJsPlugins();
	
	//default modal dialog options
	var opcionesMODAL = {
			autoOpen: false,
			buttons : {
				"Guardar" : function() {
					if( $("textarea.tinymce").size()>0 ){
						$("textarea.tinymce").each(function(){
							$(this).tinymce().save();	
						});
					}
					
					$('#myForm').submit();
				},
				"Cancelar" : function() {
					$(this).dialog('close');
				}
			}
	};
	
	$('#myDialog').dialog(opcionesMODAL);	
	
	// avoid locking of tinymce on jquery dialog
	$(document).on('focusin', function(e) {
		//console.log(e.target);
	    if ($(e.target).closest(".mce-edit-area .mce-window, .moxman-window").length) {
			e.stopImmediatePropagation();
		}
	});
	
});
*/

function resetDialog(form) {
	form.find("input").val("");
}

function cms_edit(element,id) {

	window.location = baseURL + '/admin/' + element + '/' + id;
	return false;

}

function cms_delete(element,id) {
	if(!confirm(deleteConfirm)) return false;
	window.location.href = baseURL +'/admin/' + element + '/delete/' + id ;
}

function cms_cancel(element){
	window.location.href = baseURL +'/admin/'+element+'/list';
	return false;
}


function cms_save(element){
	// save tinyMCE
	if( $("textarea.tinymce").size()>0 ){
		$("textarea.tinymce").each(function(){
			$(this).tinymce().save();	
		})
	}
	document.forms[0].submit();
}