package uoc.com.mimenudehoy.controller;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import uoc.com.mimenudehoy.model.Recipe;
import uoc.com.mimenudehoy.service.MenuService;
import uoc.com.mimenudehoy.service.RecipeService;

@Controller
public class HomeController {

	@Autowired
	private MenuService service;

	@Autowired
	private RecipeService recipeService;
	
	
	@RequestMapping(value = { "/","/index" })
	public String home(Map<String, Object> map) {

		
		map.put("menu", "index");

		Recipe central = recipeService.getHighLightMain();
		map.put("recipeCentral", central);

		List<Recipe> footer = recipeService.getHighLightsFooter();
		map.put("recipesFooter", footer);
		
		List<Recipe> lateral = recipeService.getHighLightsLateral();
		map.put("recipesLateral", lateral);
		
		return "index";
	}
}
