package uoc.com.mimenudehoy.dao;

import java.util.List;

import uoc.com.mimenudehoy.model.EnumCuisineType;
import uoc.com.mimenudehoy.model.Recipe;

public interface RecipeDao extends GenericDao<Recipe> {

	public List<Recipe> findBy(String text, EnumCuisineType tc);
	
	public List<Recipe> getMostRecent(int n);
	
	public List<Recipe> getHighLights(boolean central , boolean footer , boolean lateral);
	
}
