package uoc.com.mimenudehoy.dao.impl;

import java.util.Iterator;

import org.springframework.stereotype.Repository;

import uoc.com.mimenudehoy.dao.RoleDao;
import uoc.com.mimenudehoy.model.Role;

@Repository
public class RoleDaoImpl  extends GenericDaoImpl<Role> implements RoleDao {

	public Role findByAuthority(String auth) {

		Iterator<Role> it = getSession().createQuery("from Role where authority = :role ")
			.setParameter("role", auth)
			.setMaxResults(1)
			.iterate();

		return it.next();
	}

}
