package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import uoc.com.mimenudehoy.model.Dish;

public class DishPropertyEditor extends PropertyEditorSupport {

    private Map<Long, Dish> myMap = new HashMap<Long, Dish>();

    public DishPropertyEditor(List<Dish> list) {
        for (Dish r : list) {
        	myMap.put(r.getId(), r);
        }
    }

    public void setAsText(String id) {
        Long tmp = Long.parseLong(id);
        Dish obj = myMap.get(tmp);
        setValue(obj);
    }

    public String getAsText() {
    	if(this.getValue()==null) return "";
        return String.valueOf(((Dish)getValue()).getId());
    }
}