package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.Map;

import uoc.com.mimenudehoy.model.EnumCourseType;

public class EnumCourseTypePropertyEditor extends PropertyEditorSupport {

    private Map<String, EnumCourseType> map = new HashMap<String, EnumCourseType>();

	public EnumCourseTypePropertyEditor() {		
		for (EnumCourseType r : EnumCourseType.values()) {
        	map.put(String.valueOf(r.getValue()), r);
        }
    }
    

    public void setAsText(String text) {
    	EnumCourseType role = map.get(text);
        setValue(role);
    }

    public String getAsText() {
    	EnumCourseType u = (EnumCourseType) this.getValue();
        if(u==null) return "";
    	return String.valueOf(u.getValue());
    }
}