package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.Map;

import uoc.com.mimenudehoy.model.EnumCuisineType;

public class EnumCuisineTypePropertyEditor extends PropertyEditorSupport {

    private Map<String, EnumCuisineType> map = new HashMap<String, EnumCuisineType>();

	public EnumCuisineTypePropertyEditor() {		
		for (EnumCuisineType r : EnumCuisineType.values()) {
        	map.put(String.valueOf(r.getValue()), r);
        }
    }
    

    public void setAsText(String text) {
    	EnumCuisineType role = map.get(text);
        setValue(role);
    }

    public String getAsText() {
    	EnumCuisineType u = (EnumCuisineType) this.getValue();
        if(u==null) return "";
    	return String.valueOf(u.getValue());
    }
}