package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.Map;

import uoc.com.mimenudehoy.model.EnumMenuType;

public class EnumMenuTypePropertyEditor extends PropertyEditorSupport {

    private Map<String, EnumMenuType> map = new HashMap<String, EnumMenuType>();

	public EnumMenuTypePropertyEditor() {		
		for (EnumMenuType r : EnumMenuType.values()) {
        	map.put(String.valueOf(r.getValue()), r);
        }
    }
    

    public void setAsText(String incomingId) {
    	EnumMenuType role = map.get(incomingId);
        setValue(role);
    }

    public String getAsText() {
    	EnumMenuType u = (EnumMenuType) this.getValue();
        if(u==null) return "";
    	return String.valueOf(u.getValue());
    }
}