package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.Map;

import uoc.com.mimenudehoy.model.EnumOriginType;

public class EnumOriginTypePropertyEditor extends PropertyEditorSupport {

    private Map<String, EnumOriginType> map = new HashMap<String, EnumOriginType>();

    
	public EnumOriginTypePropertyEditor() {
		
		for (EnumOriginType r : EnumOriginType.values()) {
        	map.put(String.valueOf(r.getValue()), r);
        }
    }
    

    public void setAsText(String incomingId) {
    	EnumOriginType role = map.get(incomingId);
        setValue(role);
    }

    public String getAsText() {
    	EnumOriginType u = (EnumOriginType) this.getValue();
        if(u==null) return "";
    	return String.valueOf(u.getValue());
    }
}