package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import uoc.com.mimenudehoy.model.Role;

public class RolePropertyEditor extends PropertyEditorSupport {

    private Map<Integer, Role> roleMap = new HashMap<Integer, Role>();

    public RolePropertyEditor(List<Role> roleList) {
        for (Role r : roleList) {
        	roleMap.put(r.getId(), r);
        }
        //System.out.println("total roles:" + roleMap.size());
    }

    public void setAsText(String incomingId) {
        Integer tmp = Integer.parseInt(incomingId);
    	Role role = roleMap.get(tmp);
        setValue(role);
    }

    public String getAsText() {
        //return String.valueOf(((Role)getValue()).getId());
    	Role u = (Role) this.getValue();
        if(u==null) return "";
    	return String.valueOf(u.getId());

    }
}