package uoc.com.mimenudehoy.mappings;

import java.beans.PropertyEditorSupport;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import uoc.com.mimenudehoy.model.User;

public class UserPropertyEditor extends PropertyEditorSupport {

    private Map<String, User> map = new HashMap<String, User>();

    public UserPropertyEditor(List<User> list) {
        for (User r : list) {
        	map.put(r.getUsername(), r);
        	//System.out.println("mapeando " + r.getId() + " to " + r);
        }
    }

    public void setAsText(String incomingId) {
    	User role = map.get(incomingId);
        //System.out.println("PROPERTY EDITOR ROLE " + role + " for " +incomingId);
        setValue(role);
    }

    public String getAsText() {
        //System.out.println("PROPERTY EDITOR ID " + ((Role)getValue()).getId());
        User u = (User) this.getValue();
        if(u==null) return "";
    	return u.getUsername();
    }
}