package uoc.com.mimenudehoy.model;


public enum EnumMenuType {
	STANDARD(0),
	VEGETARIAN(1),
	LOW_CALORIES(2),
	NO_ALERGENS(3),
	NO_GLUTEN(4);
	
	private int value;
	private double cost;

	private EnumMenuType(int value) {
		this.value = value;
		
		// asignacion de precio
		switch(value){
		case 0:
			this.cost = 9;
			break;
		case 1: 
			this.cost = 10;
			break;
		case 2:
			this.cost = 13;
			break;
		case 3:
			this.cost = 15;
			break;
		case 4:
			this.cost = 12;
			break;
		default:
			this.cost = 0;
		}
	}

	public int getValue() {
		return this.value;
	}

	public double getCost() {
		return cost;
	}
		
}

