package uoc.com.mimenudehoy.service;

import java.util.List;

import uoc.com.mimenudehoy.model.EnumCuisineType;
import uoc.com.mimenudehoy.model.Recipe;

public interface RecipeService {

	public void save(Recipe user);

	public List<Recipe> listRecipes();
	public List<Recipe> getLastRecipes();
	public List<Recipe> searchRecipes(String text, EnumCuisineType tc);

	public void delete(String id );
	
	public Recipe getRecipe(String id);
	
	public List<Recipe> getHighLightsLateral();
	public List<Recipe> getHighLightsFooter();
	public Recipe getHighLightMain();
}
