package uoc.com.mimenudehoy.service;

import java.util.List;

import uoc.com.mimenudehoy.model.MenuDaily;
import uoc.com.mimenudehoy.model.Subscription;
import uoc.com.mimenudehoy.model.SubscriptionAssign;
import uoc.com.mimenudehoy.model.User;

public interface SubscriptionsService {

	public void save(Subscription obj);

	public List<Subscription> list();

	public void delete(String id );
	
	public Subscription getSubscription(String id);
	
	public List<Subscription> listActives();

	public List<SubscriptionAssign> listMissingMenus();
	
	public List<MenuDaily> getAllDailyMenus(String id);
	
	public List<Subscription> listActivesByUser(User user);
	
	
}
