<%@ include file="/WEB-INF/template/includes.jsp"%>

<script type="text/javascript" src="<c:url value="/res/js/tinymce/tinymce.min.js" />"></script>
<script type="text/javascript" src="<c:url value="/res/js/tinymce/jquery.tinymce.min.js" />"></script>

<script type="text/javascript">
<!--
	var entity = 'dish';
	var entityName = '<spring:message code="entity.dish"/>';	
	
	$(document).ready(function(){
		initializeJsPlugins(entity);
	});
	
//-->
</script>

<div id="pagina2">

<div id="contenedor">

<c:url var="actionUrl" value="/admin/dish/save" />
<form:form id="myForm" commandName="dish" method="post" action="${actionUrl }" class="pure-form pure-form-aligned">

	<fieldset>
		<legend>Datos</legend>

		<div class="pure-control-group">
		<table width="100%">
		<tr>
			<td><label for="username">Nombre</label></td>
			<td colspan="3"><form:input name="name" path="name" placeholder="Nombre" cssStyle="width:90%;"/></td>
		</tr>
		<tr>
			<td><label for="password">Descripcin</label></td>
			<td colspan="3">
				<form:textarea name="description" class="tinymce" id="description" path="description" style="width:90%;"/>
			</td>

		</tr>
		<tr>
		</tr>
		<tr>
			<td><label for="course">Plato</label></td>
			<td>
				<form:select path="course">
					
					<c:forEach var="item" items="${listCourseTypes}">
						<c:set var="selected" value=""/>
        				<c:if test="${dish.course == item}">
        					<c:set var="selected" value="selected"/>
        				</c:if>

						<form:option value="${item.value}" selected="${selected}">
							<spring:message code="course.${item}" />
						</form:option>
					</c:forEach>
				</form:select>
			</td>	

			<td><label for="classification">Categoria</label></td>
			<td>
				<form:select path="category">
					
					<c:forEach var="item" items="${listDishTypes}">
						<c:set var="selected" value=""/>
        				<c:if test="${dish.category == item}">
        					<c:set var="selected" value="selected"/>
        				</c:if>
					
						<form:option value="${item.value}" selected="${selected}">
							<spring:message code="dishType.${item}" />
						</form:option>
					</c:forEach>
				</form:select>	
			</td>
		</tr>
		<tr>
			<td><label for="username">Caloras</label></td>
			<td><form:input name="calories" path="calories"  /></td>		
			<td><label for="username">Precio Aprox.</label></td>
			<td><form:input name="price" path="price" /></td>

		</tr>
		</table>
		</div>

	</fieldset>
	
	<fieldset>
		<legend>Ingredientes</legend>

		<div class="pure-control-group">
		<table width="100%">
		<tr>
			<td>Selecciona los diferentes ingredientes...</td>
		</tr>
		<tr>
			<td>			
				<form:select multiple="true" path="ingredients" items="${allIngredients}" itemLabel="name" itemValue="id" cssClass="select2"/>
			</td>
		</tr>
		</table>	
		</div>
	</fieldset>
	
	<form:input path="id" type="hidden" />
</form:form>

	<center>
				<button class="pure-button pure-button-primary" onclick="cms_save(entity);">
					<i class="fa fa-save"></i> Guardar
				</button>

				<button class="pure-button pure-button-primary" onclick="return cms_cancel(entity);">
					<i class="fa fa-arrow-left"></i>Cancelar
				</button>
	</center>

</div>
</div>