<%@ include file="/WEB-INF/template/includes.jsp"%>

<script type="text/javascript">
<!--
	var entity = 'dish';
	var entityName = '<spring:message code="entity.dish"/>';	
	var deleteConfirm = '<spring:message code="dish.delete.confirm" />';
//-->
</script>

	<div style="width: 95%; margin: 0 auto;">

		<h1>Listado de Platos</h1>

		<table class="pure-table pure-table-bordered pure-table-striped">
			<thead>
				<tr>
					<th width="12%">Id</th>
					<th width="12%">Nombre</th>
					<th width="12%">Categoria</th>
					<th width="12%">Plato</th>
					<th width="12%">Caloras</th>
					<th width="12%">Precio</th>
					<th width="12%">
						<button class="pure-button pure-button-primary" onclick="cms_edit(entity,'new' );">
								<i class="fa fa-plus"></i> <spring:message code="dish.new"/>
						</button>
					</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${list}" var="elem" varStatus="loopCounter">
					<tr>		
					
						<td><c:out value="${elem.id}" /></td>
						<td><c:out value="${elem.name}" /></td>
						<td><spring:message code="dishType.${elem.category}" /></td>
						<td><spring:message code="course.${elem.course}" /></td>
						<td><c:out value="${elem.calories}" /></td>
						<td><c:out value="${elem.price}" /></td>
												
						<td>
							<nobr>
								<button class="pure-button pure-button-primary" onclick="cms_edit(entity,${elem.id});">
									<i class="fa fa-pencil"></i>Editar
								</button>

								<button class="pure-button pure-button-primary" onclick="return cms_delete(entity,'${elem.id}');"> 
									<i class="fa fa-times"></i>Borrar
								</button>

							</nobr>
						</td>
					</tr>
				</c:forEach>
			</tbody>
		</table>

	</div>
