<%@ include file="/WEB-INF/template/includes.jsp"%>

<script type="text/javascript">
<!--
	var entity = 'ingredient';
	var entityName = '<spring:message code="entity.ingredient"/>';	
	
	$(document).ready(function(){
		initializeJsPlugins(entity);
	});
	
//-->
</script>

<div id="pagina2">

<div id="contenedor">


<c:url var="actionUrl" value="/admin/ingredient/save" />
<form:form id="myForm" commandName="elem" method="post" action="${actionUrl}" class="pure-form pure-form-aligned">

	<fieldset>
		<legend>Datos Generales</legend>

		
		<div class="pure-control-group">
		<table width="100%">
		<tr>
			<td><label for="name">Nombre</label></td>
			<td colspan=3">
				<form:input name="name" path="name" cssStyle="width:300px;"/>
				<form:errors path="name" cssClass="error"/>
			</td>
		</tr>
		<tr>
			<td><label for="name">Descripcin</label></td>
			<td colspan="3"><form:input name="description" path="description" cssStyle="width:90%;"/></td>
		</tr>
		<tr>
			<td><label for="name">Intolerancia</label></td>
			<td>
				<form:select path="intolerance">
				<c:forEach var="item" items="${listIntoleranceTypes}">
				
				<c:set var="selected" value=""/>
        		<c:if test="${elem.intolerance == item}">
        			<c:set var="selected" value="selected"/>
        		</c:if>
        		
					<form:option value="${item.value}" selected="${selected}" >
						<spring:message code="intolerance.${item}" />
					</form:option>
				</c:forEach>
				</form:select>
			</td>
			<td><label for="name">Origen</label></td>
			<td>
				<form:select path="origin">
					<c:forEach var="item" items="${listOriginTypes}">
					
						<c:set var="selected" value=""/>
        				<c:if test="${elem.origin == item}">
        					<c:set var="selected" value="selected"/>
        				</c:if>
					
						<form:option value="${item.value}" selected="${selected}">
							<spring:message code="origin.${item}" />
						</form:option>
					</c:forEach>
				</form:select>			
			</td>
		</tr>
		</table>
		</div>
	</fieldset>
		
	<fieldset>
		<legend>Composicin</legend>

		
		<div class="pure-control-group">
		<table width="100%">
		<tr>
			<td><label for="energy">Energa</label></td>
			<td><form:input name="energy" path="energy" /></td>
			<td><label for="energy">Hidratos C.</label></td>
			<td><form:input name="hydrates" path="hydrates" /></td>
		</tr>
		<tr>
			<td><label for="energy">Grasas</label></td>
			<td><form:input name="fats" path="fats" /></td>
			<td><label for="energy">Proteinas</label></td>
			<td><form:input name="protein" path="protein" /></td>
		</tr>
		<tr>
			<td><label for="water">Agua</label></td>
			<td><form:input name="water" path="water" /></td>
			<td><label for="energy">Colesterol</label></td>
			<td><form:input name="cholesterol" path="cholesterol" /></td>
		</tr>
		<tr>
			<td><label for="water">Calcio</label></td>
			<td><form:input name="calcium" path="calcium" /></td>
			<td><label for="energy">Potasio</label></td>
			<td><form:input name="potassium" path="potassium" /></td>
		</tr>
		<tr>
			<td><label for="water">Hierro</label></td>
			<td><form:input name="iron" path="iron" /></td>
			<td><label for="fiber">Fibra</label></td>
			<td><form:input name="fiber" path="fiber" /></td>
		</tr>
		<tr>
			<td><label for="water">Calorias</label></td>
			<td><form:input name="calories" path="calories" /></td>
		</tr>
		
		</table>
		</div>
	</fieldset>

		<form:input path="id" type="hidden" />

</form:form>

	<center>
				<button class="pure-button pure-button-primary" onclick="cms_save(entity);">
					<i class="fa fa-save"></i> Guardar
				</button>

				<button class="pure-button pure-button-primary" onclick="return cms_cancel(entity);">
					<i class="fa fa-arrow-left"></i>Cancelar
				</button>
	</center>


</div>
</div>