<%@ include file="/WEB-INF/template/includes.jsp"%>

	<div style="width: 95%; margin: 0 auto;">

		<div id="myDialog" style="display: none;">
			  <tiles:insertDefinition name="subscriptionForm" /> 
		</div>

		<h1>Listado de Suscripciones</h1>
		
		<table class="pure-table pure-table-bordered pure-table-striped">
			<thead>
				<tr>
					<th style="text-align:left;" width="12%">Id</th>
					<th style="text-align:left;" width="12%">Usuario</th>
					<th style="text-align:left;" width="12%">Desde</th>
					<th style="text-align:left;" width="12%">Hasta</th>
					<th style="text-align:left;" width="12%">Precio</th>
					<th style="text-align:left;" width="12%">Tipo de Menu</th>
					<th width="12%"></th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${list}" var="sus" >
					<tr>
						<td><c:out value="${sus.id}" /></td>
						<td><c:out value="${sus.user.username}" /></td>
						<td><fmt:formatDate value="${sus.start_date}" pattern="dd/MM/yyyy"/></td>
						<td><fmt:formatDate value="${sus.end_date}" pattern="dd/MM/yyyy"/></td>
						<td><fmt:formatNumber type="CURRENCY" pattern="0.00" value="${sus.cost}" />&euro;</td>
						<td><spring:message code="menuType.${sus.menuType}" /></td>
						
						<td>
							<nobr>
								<button class="pure-button pure-button-primary" onclick="cms_edit('subscription',${sus.id});">
									<i class="fa fa-pencil"></i> Editar
								</button>

								<button class="pure-button pure-button-primary" onclick="cms_delete('subscription','${baseURL}'+'/admin/subscription/delete/${sus.id}');">
									<i class="fa fa-times"></i>Borrar
								</button>

							</nobr>
						</td>
						
					</tr>
				</c:forEach>
			</tbody>
		</table>

	</div>
