<%@ include file="/WEB-INF/template/includes.jsp"%>

<link href="<c:url value="/res/css/select2.css"/>" rel="stylesheet" />
<script src="<c:url value="/res/js/select2.min.js"/>"></script>

<script type="text/javascript">
<!--
	var entity = 'subscription';
	var entityName = '<spring:message code="entity.subscription"/>';	
	
	$(document).ready(function(){
		initializeJsPlugins(entity);
	});
	
//-->
</script>

<div id="pagina2">

<div id="contenedor">


<c:url var="actionUrl" value="/admin/subscription/save" />
<form:form id="myForm" commandName="elem" method="post" action="${actionUrl}" class="pure-form pure-form-aligned">

		<fieldset>
			<legend>Datos Suscripcin</legend>

			<table width="100%">
			<tr>
				<td width="15%"><label for="name">Desde</label></td>
				<td width="20%"><form:input name="start_date" path="start_date" cssClass="datepicker" /></td>
				<td width="15%"><label for="name">Hasta</label></td>
				<td width="20%"><form:input name="end_date" path="end_date" cssClass="datepicker" /></td>
			</tr>
			<tr>
				<td><label for="name">Tipo de Suscripcin</label></td>
				<td>
					<form:select path="menuType">
						<c:forEach var="item" items="${listMenuTypes}" >
							<c:set var="selected" value=""/>
        					<c:if test="${elem.menuType == item}">
        						<c:set var="selected" value="selected"/>
        					</c:if>
						
							<form:option value="${item.value}" selected="${selected }"><spring:message code="menuType.${item}"/></form:option>
						</c:forEach>
					</form:select>
				</td>
				<td><label for="name">Precio</label></td>
				<td><form:input name="cost" path="cost" /></td>
			</tr>
			<tr>
				<td><label for="name">Usuario</label></td>
				<td colspan="3">
					<form:select path="user">
						<form:options items="${allUsers}" itemLabel="username" itemValue="username" />
					</form:select>
				</td>
				
			</tr>
				
			</table>

		</fieldset>
	

	<center>
				<button class="pure-button pure-button-primary" onclick="cms_save(entity);">
					<i class="fa fa-save"></i> Guardar
				</button>

				<button class="pure-button pure-button-primary" onclick="return cms_cancel(entity);">
					<i class="fa fa-arrow-left"></i>Cancelar
				</button>
	</center>

</form:form>

</div>
</div>