<%@ include file="/WEB-INF/template/includes.jsp"%>


<div id="pagina2">

<div id="contenedor">


<c:url var="actionUrl" value="/admin/user/save" />
<form:form id="myForm" commandName="user" method="post" action="${actionUrl }" class="pure-form pure-form-aligned">

<h1><spring:message code="user.${empty user.username?'new':'edit' }"/> </h1>

	<fieldset>
		<legend>Acceso</legend>

		<div class="pure-control-group">
		<table width="100%">
		<tr>
			<td width="20%"><label for="username">Username</label></td>
			<td width="30%">
				<form:input name="username" path="username" placeholder="User Name" maxlength="100" />
				<form:errors path="username" cssClass="error"/>
			</td>
			<td width="20%"><label for="password">Password</label></td>
			<td width="30%">
				<form:input name="password" id="password" path="password" placeholder="Password" maxlength="100" />
				<form:errors path="password" cssClass="error"/>
			</td>
		</tr>
		<tr>
			<td><label for="roles">Roles</label></td>
			<td colspan="1">
<%--
				<form:checkboxes items="${roleList}" path="roles" itemValue="id" itemLabel="authority" cssStyle="width:0px;"  />
 --%>
 				<c:forEach items="${roleList }" var="role">
 					<form:checkbox path="roles" value="${role}" /><label><spring:message code="role.${role.authority }"/></label><br>
 				</c:forEach>
				<form:errors path="roles" cssClass="error"/>
			</td>
			<td><label for="roles">Activado</label></td>
			<td><form:checkbox path="enabled" /></td>
		</tr>
		</table>
	</div>			
	</fieldset>

	<fieldset>
		<legend>Datos Generales</legend>
		<div class="pure-control-group">
			<table width="100%">
			<tr>
				<td width="20%"><label for="name">Nombre</label></td>
				<td width="30%">
					<form:input name="name" id="name" path="name" placeholder="Nombre" maxlength="100" cssStyle="width:90%;"/>
				</td>
				<td width="20%"><label for="lastname">Apellidos</label></td>
				<td width="30%"><form:input name="lastName" id="lastName" path="lastName" placeholder="Apellidos" maxlength="255" cssStyle="width:90%;"/></td>
			</tr>
			<tr>
				<td><label for="username">Edad</label></td>
				<td colspan="3"><form:input name="age" path="age" cssStyle="width:50px;"/></td>
			</tr>
			<tr>
				<td><label for="username">Direccin Envo</label></td>
				<td colspan="3"><form:input name="address" path="address" cssStyle="width:90%;"/></td>
			</tr>
			<tr>
				<td><label for="password">Comentarios</label></td>
				<td colspan="3"><form:textarea style="width:90%;height:100px;" name="preferences" id="preferences" path="preferences" placeholder="preferencias" /></td>
			</tr>
			</table>
		</div>

	</fieldset>
	
	<center>
				<button class="pure-button pure-button-primary" onclick="document.forms[0].submit();">
					<i class="fa fa-save"></i> Guardar
				</button>
				
				<button class="pure-button pure-button-primary" onclick="return cms_cancel(entity);">
					<i class="fa fa-arrow-left"></i>Cancelar
				</button>
				
	</center>
	
	<form:hidden name="usernameLast" path="usernameLast" value="${user.username }" />
</form:form>

</div>
</div>